Subject: Re: bug#16357: insufficient print abbreviation in error messages

From: Zefram <[email-masked]>
Date: Tue, 21 Jun 2016 13:38:40 +0100

Andy Wingo wrote:
>Thoughts?

How was this managed in Guile 1.8?

It seems that you need the truncated-print mechanism to be always
available internally, but this doesn't require that it be always visible
to the user.  You can still require the full libraries to be loaded for
the user to get access.

Lazy loading sounds like a bad idea.  Error handling is a bad place to
attempt something that complex and failure-prone.

-zefram